SNMPSTATUS(1)

NAME
snmpstatus - Retrieves important information from a network entity.

SYNOPSIS
snmpstatus [COMMON OPTIONS]

DESCRIPTION
snmpstatus is an SNMP application that retrieves several important statistics from a network entity.

The information returned is:

    The IP address of the entity.
    A textual description of the entity (sysDescr.0)
    The uptime of the entity's SNMP agent (sysUpTime.0)
    The sum of received packets on all interfaces (ifInUCastPkts.* + ifInNUCastPkts.*)
    The sum of transmitted packets on all interfaces (ifOutUCastPkts.* + ifOutNUCastPkts.*)
    The number of IP input packets (ipInReceives.0)
    The number of IP output packets (ipOutRequests.0)

For example:

snmpstatus -c public -v 1 netdev-kbox.cc.cmu.edu

will produce output similar to the following:

[128.2.56.220]=>[Kinetics FastPath2] Up: 1 day, 4:43:31
Interfaces: 1, Recv/Trans packets: 262874/39867 | IP: 31603/15805

snmpstatus also checks the operational status of all interfaces (ifOperStatus.*), and if it finds any that are not running, it will report in a manner similar to this:

2 interfaces are down!

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint in what way the request was malformed. snmpstatus will attempt to reform its request to eliminate the malformed variable (unless the -Cf option is given, see below), but this variable will then be missing from the displayed data.

OPTIONS
snmpstatus takes the common options described in the snmpcmd(1) manual page and also the -Cf option described in the snmpget(1) manual page.

SEE ALSO
snmpcmd(1), snmpget(1)